<?php

use AltSolution\Admin\Modules;

return [
    'locale' => null,

    'show_favicon' => false,
    'show_footer' => true,
    'site_name' => env('APP_NAME', 'Control Panel'),
    'admin_url' => 'admin',

    'items_per_page' => 20,

    'modules' => [
        'admin.module.core' => Modules\CoreModule::class,
        'admin.module.user' =>  Modules\UserModule::class,
        'admin.module.menu' => Modules\MenuModule::class,
        'admin.module.content' => Modules\ContentModule::class,
        'admin.module.option' => Modules\OptionModule::class,
        'admin.module.log' => Modules\LogModule::class,
        'admin.module.email_template' => Modules\EmailTemplateModule::class,
        'admin.module.cron' => Modules\CronModule::class,
    ],
    'modules_disabled' => [
        //
    ],

    'logs_lines_per_page' => 1000,
    'logs_lines_preview' => 100,
//    'logs_lines_order' => 'asc',
    'logs_dirs' => [
        'app' => storage_path() . '/logs'
    ],
    'logs_extensions' => ['log'],

    'auth_2fa' => false,
    'auth_2fa_google' => false,
    'auth_allow_password_reset' => false,

    'elfinder_roots' => [
        'admin::core.el_home' => 'uploads/wysiwyg',
    ],
    //'elfinder_trash' => true,

    'option_cache_ttl' => 2 * 60,

    'cron_lottery' => [5, 100],

    'upload_directory' => 'uploads',
    'upload_url' => '/uploads',
    'upload_permission' => 0777,
    'upload_keep_source' => true,
    'upload_double_encode' => false,
    'upload_slice_upload' => true,
    'upload_slice_verbose' => false,
    'upload_quality' => 90,

    'field_head_grid' => 'col-2',
    'field_body_grid' => 'col-10',
    // TODO: ...
    'form_layout' => 'horizontal',
    //'form_layout' => 'vertical',
    'filter_fields' => [
        [
            'type' => 'form',
            'buttons' => ['apply', 'reset'],
        ],
        'q' => [
            'type' => 'hidden',
            'label' => 'admin::common.keyword',
        ],
        'sort' => [
            'type' => 'hidden',
        ],
    ],
];