<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCronTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cron', function (Blueprint $table) {
            $table->increments('id');
            $table->timestamps();

            $table->string('expression', 50);
            $table->tinyInteger('type')->unsigned();
            $table->string('command', 255);
            $table->string('description')->default('');
            $table->boolean('is_enabled')->default(false);
            $table->boolean('in_maintenance')->default(false);
            $table->boolean('can_overlap')->default(false);
        });

        Schema::create('cron_log', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('cron_id')->unsigned();
            $table->timestamp('start_at')->nullable();
            $table->timestamp('end_at')->nullable();
            $table->integer('exit_code');
            $table->text('output');

            $table->index('start_at', 'start_index');
            $table->foreign('cron_id', 'fk_cron_log_cron')
                ->references('id')->on('cron')
                ->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cron_log');

        Schema::dropIfExists('cron');
    }
}
