<?php

namespace AltSolution\Admin\Backup;

class DumpFileGzip extends DumpFile
{
    private $handle;

    public function open()
    {
        $this->handle = gzopen($this->filePath, 'wb9');
    }

    public function write($str)
    {
        if ($this->handle === null) {
            throw new \Exception('File must be opened first');
        }

        $this->handle = gzwrite($this->handle, $str);
    }

    public function close()
    {
        if ($this->handle !== null) {
            gzclose($this->handle);
        }
    }
}
