<?php

namespace AltSolution\Admin\Form\Field;

use Illuminate\Database\Eloquent\Collection;
use Illuminate\Database\Eloquent\Model;

class Select2 extends Select
{
    protected $view = 'select2';

    protected function getChoices()
    {
        $choices = parent::getChoices();

        if (!$choices && $this->getOption('ajax')) {
            $list = [];

            $value = $this->getValue();
            if ($this->getOption('multiple')) {
                // belongsToMany() case
                if ($value instanceof Collection) {
                    $pk = $this->getOption('primary_key');
                    $tk = $this->getOption('title_key', 'title');

                    foreach ($value as $item) {
                        $key = $pk ? $item->{$pk} : $item->getKey();
                        $list[$key] = $item->{$tk};
                    }
                }
            } else {
                // belongsTo() case
                if ($value instanceof Model) {
                    $pk = $this->getOption('primary_key');
                    $tk = $this->getOption('title_key', 'title');

                    $key = $pk ? $value->{$pk} : $value->getKey();
                    $list[$key] = $value->{$tk};
                }
            }

            if ($list) {
                $choices += $list;
            }
        }

        return $choices;
    }

    protected function customViewData()
    {
        $viewData = parent::customViewData();

        $ajax = $this->getOption('ajax', null);

        return compact('ajax') + $viewData;
    }
}
