<?php

namespace AltSolution\Admin\Http\Controllers;

use AltSolution\Admin\Upload\UploadManagerInterface;
use Symfony\Component\HttpFoundation\BinaryFileResponse;

class UploadController extends Controller
{
    /**
     * Download uploaded file with another name
     * @param string $file
     * @return BinaryFileResponse
     */
    public function download($file)
    {
        $fileParts = explode('.', $file);
        $fileParts = array_map(function($part) {
            return base64_decode(str_pad(strtr($part, '-_', '+/'), strlen($part) % 4, '=', STR_PAD_RIGHT));
        }, $fileParts);
        list($directory, $filename, $newFilename) = array_pad($fileParts, 3, null);

        $manager = app(UploadManagerInterface::class);
        $file = $manager->retrieveFile($filename, $directory);

        return response()->download($file, $newFilename);
    }
}
